# UART DEMO

This is a simple UART echo example that utilizes mikroSDK 2.0 UART driver library.

---

- **Author**      : MIKROE
- **Version**     : 2.0.0.3
- **Date**        : July 2023.

---

## Hardware support

- Plug in a USB Type C cable into USB-UART port.
  - ![image](https://download.mikroe.com/images/mikrosdk/v2/demos/demouart/demo_uart_cable.png)
- Alternatively, place the USB UART click in a mikroBUS socket and change TX and RX pins in code. In this case, you'll need to connect a USB Mini-B cable directly to the click.
  - ![image](https://download.mikroe.com/images/mikrosdk/v2/demos/demouart/demo_uart_click.png)

## Software Support

We provide code for demonstrating the usage of functions contained in UART driver library. To run this example, follow these steps:

1. Install the package from Package manager.
2. Open example.
3. It will take you to setups, so make one for your hardware.
4. Choose adequate setup and the project will open.
5. Go to Tools->UART Terminal.
6. Click on Options, select adequate Port and set Baud rate to 115200.
7. Click on Configure and then Connect.
8. Program the example by clicking on **Flash**.
9. You should see the greeting message on the terminal.
10. Now you can also send data and see it in the **Received data** section.

![example](https://download.mikroe.com/images/mikrosdk/v2/demos/demouart/demo_uart_terminal.png)

---
